## rizin 0.7.2

=== debian/changelog ===
rizin (0.7.2-1parrot1) stable; urgency=medium

  * New upstream version 0.7.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 21 Mar 2024 11:46:29 +0700

rizin (0.7.0-1parrot2) stable; urgency=medium

  * Remove old patches

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 28 Feb 2024 20:55:11 +0700

rizin (0.7.0-1parrot1) stable; urgency=medium

  * Remove trailing space
  * Use system libraries to build instead of embedded lib
  * Fix value of use_sys for lib
  * New upstream version 0.7.0

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 28 Feb 2024 16:03:44 +0700

rizin (0.6.3-2parrot7) stable; urgency=medium

  * Correct some descriptions

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 24 Dec 2023 08:15:44 +0700

rizin (0.6.3-2parrot6) parrot-updates; urgency=medium

  * Change section type to misc

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 03 Dec 2023 01:20:24 +0700

rizin (0.6.3-2parrot5) parrot-updates; urgency=medium

  * Change CI to online URL

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Wed, 29 Nov 2023 04:18:23 +0700

rizin (0.6.3-2parrot4) parrot-updates; urgency=medium

  * Change update URL to github's API

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 28 Oct 2023 02:34:15 +0700

rizin (0.6.3-2parrot3) parrot-updates; urgency=medium

  * Update changelog for 0.6.3-2parrot2 release
  * Add a patch to fix build problem

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 27 Oct 2023 03:06:40 +0700

rizin (0.6.3-2parrot2) parrot-updates; urgency=medium

  * Add subproject files to fix the latest build

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 27 Oct 2023 02:51:41 +0700

rizin (0.6.3-2parrot1) parrot-updates; urgency=medium

  * New upstream version 0.6.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 27 Oct 2023 02:10:14 +0700

rizin (0.6.3-1parrot5) parrot-updates; urgency=medium

  * Try to fix curl command

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 26 Oct 2023 22:18:27 +0700

rizin (0.6.3-1parrot4) parrot-updates; urgency=medium

  * Fix wrong URL of the repo

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 26 Oct 2023 22:14:22 +0700

rizin (0.6.3-1parrot3) parrot-updates; urgency=medium

  * Fix wrong gpg key name

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 26 Oct 2023 22:10:14 +0700

rizin (0.6.3-1parrot2) parrot-updates; urgency=medium

  * Update URL of VSC

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 26 Oct 2023 22:04:59 +0700

rizin (0.6.3-1parrot1) parrot-updates; urgency=medium

  * Add autobuild CI script
  * New upstream version 0.6.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 26 Oct 2023 21:57:39 +0700

rizin (0.6.1-1parrot1) parrot-updates; urgency=medium

  * New upstream version 0.6.1

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 04 Sep 2023 05:05:41 +0700

rizin (0.5.2-1parrot2) parrot-updates; urgency=medium

  * New upstream version 0.5.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 28 Mar 2023 05:19:23 +0700

rizin (0.5.2-1parrot1) parrot-updates; urgency=medium

  * Upstream 0.5.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 28 Mar 2023 05:18:51 +0700

rizin (0.5.1-1parrot3) parrot-updates; urgency=medium

  * Fix hardcoded path to install, causing failed to build on some arch[s]

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 07 Mar 2023 10:24:08 +0700

rizin (0.5.1-1parrot2) parrot-updates; urgency=medium

  * Remove duplicate lib in dependencies

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 28 Feb 2023 10:43:52 +0700

rizin (0.5.1-1parrot1) parrot-updates; urgency=medium

  * New upstream version 0.5.1

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 28 Feb 2023 10:32:01 +0700

rizin (0.4.1-0parrot1) parrot-updates; urgency=medium

  * New upstream version 0.4.1

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 12 Sep 2022 12:10:54 +0700

rizin (0.4.0-0parrot5) parrot-updates; urgency=medium

  * Improve build rule

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 11 Jul 2022 06:32:49 +0700

rizin (0.4.0-0parrot4) parrot-updates; urgency=medium

  * Add installation for cmake files. Fix failed to build rizin-cutter

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 28 Jun 2022 00:05:26 +0700

rizin (0.4.0-0parrot3) parrot-updates; urgency=medium

  * Edit the description, correct name of rizin

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 26 Jun 2022 09:59:54 +0700

rizin (0.4.0-0parrot2) parrot-updates; urgency=medium

  * Remove flag webui
  * Update new path of magic dir
  * Remove tmp folder during debian packaging, which created error during pkging time

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 26 Jun 2022 09:41:11 +0700

rizin (0.4.0-0parrot1) parrot-updates; urgency=medium

  * New upstream version 0.4.0

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sun, 26 Jun 2022 09:10:19 +0700

rizin (0.3.4-0parrot1) rolling-testing; urgency=medium

  * Remove duplicate extra flag for capstone
  * New upstream version 0.3.4

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 10 Jan 2022 14:59:25 +0700

rizin (0.3.3-0parrot2) rolling; urgency=medium

  * Add python3-yaml to build-depends

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 08 Jan 2022 08:00:15 +0700

rizin (0.3.3-0parrot1) rolling-testing; urgency=medium

  * New upstream version 0.3.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 08 Jan 2022 07:55:38 +0700

rizin (0.3.2-0parrot0) rolling; urgency=medium

  * New upstream version 0.3.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 31 Dec 2021 06:12:16 +0700

rizin (0.3.1-0parrot1) rolling-testing; urgency=medium

  * Remove sdb from dependencies
  * New upstream version 0.3.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 31 Dec 2021 06:06:14 +0700

rizin (0.3.0-0parrot2) rolling; urgency=medium

  * Test new build flags
  * Try to make compile flags work with new meson
  * Try to work again with different branch of release
  * New regex for upstream tarball
  * change version to triggert uscan automatically
  * New upstream version 0.3.0
  * REstore real version of changelog


## rizin 0.8.1

=== subprojects/packagefiles/xz-5.8.1/meson_options.txt ===
option('decoder_arm', type : 'boolean', value : true)
option('decoder_armthumb', type : 'boolean', value : true)
option('decoder_delta', type : 'boolean', value : true)
option('decoder_ia64', type : 'boolean', value : true)
option('decoder_lzma1', type : 'boolean', value : true)
option('decoder_lzma2', type : 'boolean', value : true)
option('decoder_lz', type : 'boolean', value : true)
option('decoder_powerpc', type : 'boolean', value : true)
option('decoder_sparc', type : 'boolean', value : true)
option('decoder_x86', type : 'boolean', value : true)

option('encoder_arm', type : 'boolean', value : true)
option('encoder_armthumb', type : 'boolean', value : true)
option('encoder_delta', type : 'boolean', value : true)
option('encoder_ia64', type : 'boolean', value : true)
option('encoder_lzma1', type : 'boolean', value : true)
option('encoder_lzma2', type : 'boolean', value : true)
option('encoder_lz', type : 'boolean', value : true)
option('encoder_powerpc', type : 'boolean', value : true)
option('encoder_sparc', type : 'boolean', value : true)
option('encoder_x86', type : 'boolean', value : true)

option('filter_simple', type : 'boolean', value : true)
option('filter_lzma1', type : 'boolean', value : true)
option('filter_lz', type : 'boolean', value : true)
option('filter_delta', type : 'boolean', value : true)

=== debian/changelog ===
rizin (0.8.1-0kali2) kali-dev; urgency=medium

  * Use embedded tree-sitter 0.25.3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 12 May 2025 16:30:05 +0200

rizin (0.8.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.8.1
  * Update subprojects
  * Add missing build-dep libmpc-dev

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 06 May 2025 11:27:21 +0200

rizin (0.7.4-0kali1) kali-dev; urgency=medium

  * New upstream version 0.7.4
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Jan 2025 10:58:15 +0100

rizin (0.7.3-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 May 2024 16:16:17 +0200

rizin (0.7.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.7.3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Apr 2024 17:43:06 +0200

rizin (0.7.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.7.2
  * Use system libpcre2
  * Update debian/subprojects
  * Use system libzstd
  * Update installation: version is now 0.7*
  * Replace obsolete pkg-config with pkgconf

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 07 Mar 2024 15:24:25 +0100

rizin (0.6.3-0kali1) kali-dev; urgency=medium

  * New upstream version 0.6.3

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 19 Oct 2023 11:31:23 +0200

rizin (0.6.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.6.2

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 21 Sep 2023 10:23:50 +0200

rizin (0.6.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.6.0
  * Update debian/subprojects for rizin version 0.6.0
  * Update installation for version 0.6
  * New upstream version 0.6.1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Aug 2023 10:31:31 +0200

rizin (0.5.2-0kali1) kali-dev; urgency=medium

  * New upstream version 0.5.2
  * Update subprojects list and debian/subprojects
  * Update build-deps in d/control and d/rules
  * Update installation
  * Update debian/copyright
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.2 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 08 Jun 2023 14:15:33 +0200

rizin (0.4.1-0kali2) kali-dev; urgency=medium

  * Update path where plugins and bindings are expected

 -- Arnaud Rebillout <arnaudr@kali.org>  Sat, 04 Mar 2023 11:21:24 +0700

rizin (0.4.1-0kali1) kali-dev; urgency=medium

  * New upstream version 0.4.1
  * Update subprojects
  * Update lintian-overrides

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 31 Jan 2023 11:41:23 +0700

rizin (0.4.0-0kali2) kali-dev; urgency=medium

  * Update Debian watch file
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Tue, 08 Nov 2022 13:38:18 -0600

rizin (0.4.0-0kali1) kali-dev; urgency=medium

  * Initial release.

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 17 Aug 2022 16:10:04 +0700

=== debian/control ===
Source: rizin
Section: devel
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Arnaud Rebillout <arnaudr@kali.org>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               libcapstone-dev,
               libgmp-dev,
               libkvm-dev [kfreebsd-any],
               liblz4-dev,
	       liblzma-dev,
               libmagic-dev,
	       libmpc-dev,
	       libmspack-dev,
	       libpcre2-dev,
               libssl-dev,
#               libtree-sitter-dev,
	       libzstd-dev,
               libxxhash-dev,
               libzip-dev,
               meson,
               pkgconf,
               python3:any,
               python3-setuptools,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://rizin.re/
Vcs-Browser: https://gitlab.com/kalilinux/packages/rizin
Vcs-Git: https://gitlab.com/kalilinux/packages/rizin.git

Package: rizin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: reverse engineering framework and command-line toolset
 Rizin is a fork of the radare2 reverse engineering framework with a
 focus on usability, working features and code cleanliness.
 .
 Rizin is portable and it can be used to analyze binaries, disassemble
 code, debug programs, as a forensics tool, as a scriptable command-line
 hexadecimal editor able to open disk files, and much more!

Package: librizin0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: librizin-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: libraries from the Rizin suite
 Rizin is a fork of the radare2 reverse engineering framework with a
 focus on usability, working features and code cleanliness.
 .
 Rizin is portable and it can be used to analyze binaries, disassemble
 code, debug programs, as a forensics tool, as a scriptable command-line
 hexadecimal editor able to open disk files, and much more!
 .
 This package provides the libraries from Rizin.

Package: librizin-dev
Section: libdevel
Architecture: any
Depends: librizin0 (= ${binary:Version}),
         libssl-dev,
         ${misc:Depends},
Description: devel files from the Rizin suite
 Rizin is a fork of the radare2 reverse engineering framework with a
 focus on usability, working features and code cleanliness.
 .
 Rizin is portable and it can be used to analyze binaries, disassemble
 code, debug programs, as a forensics tool, as a scriptable command-line
 hexadecimal editor able to open disk files, and much more!
 .
 This package provides the devel files from Rizin.

Package: librizin-common
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
Description: arch independent files from the Rizin suite
 Rizin is a fork of the radare2 reverse engineering framework with a
 focus on usability, working features and code cleanliness.
 .
 Rizin is portable and it can be used to analyze binaries, disassemble
 code, debug programs, as a forensics tool, as a scriptable command-line
 hexadecimal editor able to open disk files, and much more!
 .
 This package provides the arch independent files from Rizin.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

include /usr/share/dpkg/default.mk

EXTRA_FLAGS := --buildtype=release
EXTRA_FLAGS += -Dpackager="Kali Linux"
EXTRA_FLAGS += -Dpackager_version="$(DEB_UPSTREAM_VERSION)"
EXTRA_FLAGS += -Dlocal=disabled
EXTRA_FLAGS += -Drizin_bindings=lib/rizin-bindings
EXTRA_FLAGS += -Drizin_plugins=lib/rizin/plugins
EXTRA_FLAGS += -Dsubprojects_check=false
EXTRA_FLAGS += -Duse_sys_capstone=enabled
EXTRA_FLAGS += -Duse_sys_magic=enabled
EXTRA_FLAGS += -Duse_sys_openssl=enabled
EXTRA_FLAGS += -Duse_sys_libzip=enabled
EXTRA_FLAGS += -Duse_sys_lz4=enabled
#EXTRA_FLAGS += -Duse_sys_tree_sitter=enabled
EXTRA_FLAGS += -Duse_sys_xxhash=enabled
EXTRA_FLAGS += -Duse_sys_zlib=enabled
EXTRA_FLAGS += -Duse_sys_libmspack=enabled
EXTRA_FLAGS += -Duse_sys_lzma=enabled
EXTRA_FLAGS += -Duse_sys_pcre2=enabled
EXTRA_FLAGS += -Duse_sys_libzstd=enabled

# architectures with debugging support
DEBUG_SUPPORT := 0
debug_architectures := i386 amd64 arm arm64 mips mips64 powerpc ppc64
ifeq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),$(debug_architectures)))
DEBUG_SUPPORT := 1
endif

# kfreebsd and hurd are not supported
ifneq (linux,$(DEB_HOST_ARCH_OS))
DEBUG_SUPPORT := 0
endif

ifeq (0,$(DEBUG_SUPPORT))
EXTRA_FLAGS += -Ddebugger=false
else
EXTRA_FLAGS += -Ddebugger=true
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	cp -av debian/subprojects/* subprojects/
	dh_auto_configure -- $(EXTRA_FLAGS)

override_dh_auto_test:
	# skip tests

override_dh_makeshlibs:
	dh_makeshlibs -V "librizin0 (>= $(DEB_VERSION_EPOCH_UPSTREAM)), librizin0 (<< $(DEB_VERSION_EPOCH_UPSTREAM).0)"

execute_after_dh_auto_install:
	# Remove incorrect executable flag
	chmod a-x debian/tmp/usr/share/rizin/magic/*

=== debian/tests/control ===
Test-Command: rizin -h
Restrictions: superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
  https://github.com/rizinorg/rizin/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## rizin 0.8.2

=== debian/changelog ===
rizin (0.8.2-0parrot1) echo; urgency=medium

  * New upstream version 0.8.2

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 03 Feb 2026 18:03:52 +0100

rizin (0.7.3-1parrot1) stable; urgency=medium

  * New upstream version 0.7.3

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 27 Jun 2024 18:04:39 +0700

=== debian/control ===
Source: rizin
Section: misc
Priority: optional
Maintainer: Parrot Team <team@parrotsec.org>
Uploaders: Nong Hoang Tu <dmknght@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               libcapstone-dev,
               libgmp-dev,
               libkvm-dev [kfreebsd-any],
               libmagic-dev,
               libuv1-dev,
               libxxhash-dev,
               libzip-dev,
               liblz4-dev,
               meson,
               pkg-config,
               python3,
               python3-setuptools,
               zlib1g-dev,
               autotools-dev,
               python3-yaml
Standards-Version: 4.6.2
Homepage: https://rizin.re/
Vcs-Browser: https://gitlab.com/parrotsec/packages/rizin/
Vcs-Git: https://gitlab.com/parrotsec/packages/rizin/.git
Rules-Requires-Root: no

Package: rizin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A fork of the radare2 reverse engineering framework
 Rizin is portable and it can be used to analyze binaries,
 disassemble code, debug programs, as a forensics tool,
 as a scriptable command-line hexadecimal editor able to
 open disk files, and much more!


Package: librizin-core
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, librizin-common (>= ${source:Version})
Multi-Arch: same
Description: libraries from the rizin suite
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (rizin) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (OS X, BSD, Linux, W32), stream analyzer, assembler/disassembler (rasm)
 for x86, ARM, PPC, m68k, Java, MSIL, SPARC, code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting PE, mach0, ELF, class, etc. named rabin, and a block-based
 hash utility called rahash.
 .
 This package provides the libraries from rizin.

Package: librizin-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, librizin-core (= ${binary:Version}),
         libcapstone-dev, libmagic-dev, libuv1-dev, liblz4-dev,
         libzip-dev,
Description: Devel files from the rizin suite
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (rizin) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (OS X, BSD, Linux, W32), stream analyzer, assembler/disassembler (rasm)
 for x86, ARM, PPC, m68k, Java, MSIL, SPARC, code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting PE, mach0, ELF, class, etc. named rabin, and a block-based
 hash utility called rahash.
 .
 This package provides the devel files from rizin.

Package: librizin-common
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
Description: arch independent files from the rizin suite
 The project aims to create a complete, portable, multi-architecture,
 unix-like toolchain for reverse engineering.
 .
 It is composed by an hexadecimal editor (rizin) with a wrapped IO
 layer supporting multiple backends for local/remote files, debugger
 (OS X, BSD, Linux, W32), stream analyzer, assembler/disassembler (rasm)
 for x86, ARM, PPC, m68k, Java, MSIL, SPARC, code analysis modules and
 scripting facilities. A bindiffer named radiff, base converter (rax),
 shellcode development helper (rasc), a binary information extractor
 supporting PE, mach0, ELF, class, etc. named rabin, and a block-based
 hash utility called rahash.
 .
 This package provides the arch independent files from rizin.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

EXTRA_FLAGS= -Duse_sys_capstone=auto
EXTRA_FLAGS+= -Duse_sys_magic=true
EXTRA_FLAGS+= -Duse_sys_libzip=auto
EXTRA_FLAGS+= -Duse_sys_zlib=true
EXTRA_FLAGS+= -Duse_sys_lz4=auto
EXTRA_FLAGS+= -Duse_sys_xxhash=auto
#EXTRA_FLAGS+= -Duse_sys_libzip_openssl=auto
EXTRA_FLAGS+= -Duse_sys_libuv=auto
EXTRA_FLAGS+= -Duse_sys_openssl=auto
#EXTRA_FLAGS+= -DSOURCE_DATE_EPOCH=${SOURCE_DATE_EPOCH}

DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# architectures with debugging support
DEBUG_SUPPORT=0
debug_architectures := i386 amd64 arm arm64 mips mips64 powerpc ppc64
ifeq ($(DEB_HOST_ARCH_CPU),$(findstring $(DEB_HOST_ARCH_CPU),$(debug_architectures)))
DEBUG_SUPPORT=1
endif

# kfreebsd and hurd are not supported
ifneq (linux,$(DEB_HOST_ARCH_OS))
DEBUG_SUPPORT=0
endif

ifeq (0,$(DEBUG_SUPPORT))
EXTRA_FLAGS+= -Ddebugger=false
else
EXTRA_FLAGS+= -Ddebugger=true
endif

%:
	dh $@ --buildsystem=meson --prefix=/usr --buildtype=release

override_dh_auto_test:
	# skip tests

override_dh_makeshlibs:
	dh_makeshlibs --exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/rizin/

override_dh_auto_install:
	dh_auto_install
	# install zsh completion files
	# Remove incorrect executable flag
	chmod a-x debian/tmp/usr/share/rizin/magic/*

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="searchmode=plain" https://api.github.com/repos/rizinorg/rizin/releases?per_page=1 https://github.com/rizinorg/rizin/releases/download/v[\d\.]*/rizin-src-v([\d\.]*)\.tar\.xz
